<!-- 	Sised - Modulo Docentes - Guardar Planilla Tipo2
		----------------------------------------------------------
		Recibe del formulario calificar-planilla-tipo2.php las variables: iddocente, bdie, periodo, planillaseleccionada

		Ultima Modificación: 24 de Marzo de 2012
		Por: Carlos Gerardo Galeano Flórez
-->

<?php
	$iddocente= $_GET['iddocente'];
	$bdie= $_GET['bdie'];
	$periodo= $_GET['periodo'];
	$planillaseleccionada= $_GET['planillaseleccionada'];
	$idgrupo=substr($planillaseleccionada,0,18);
	$idasignatura=substr($planillaseleccionada,18,20);
	include("php/conexion-bdie.php"); 
?>

<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<link rel="stylesheet" href="css/estilos.css" type="text/css" />

<title>Sised .::. Sistema de Información para Instituciones Educativas</title>
<base target="principal">
</head>

<body>
<table class="mtbl">
	<tr>
    	<td class="leftcol">
			<div class="nav">
				<h2>Guardar Calificaciones</h2>
				<ul>
					<li><a target="contenido">Actualización de las Calificaciones de los Estudiantes</a></li>
					<li><a target="contenido">--------------------------------</a></li>
					<li><a target="contenido">Ayuda</a></li>
				</ul>
			</div>
		</td>
		<td class="rTd">
        <h4><b>Confirmación de Actualización de Calificaciones</b></h4>
        
        <div align="left">
			<table border="2" width="100%" bordercolorlight="#800000" bordercolordark="#800000" bgcolor="#FFFFCC" bordercolor="#000080">
				<tr>
					<td>&nbsp;
					<?php 
						$errores=0;
    					$regmatriculados=mysql_query("Select nuid From datos_matriculas Where idgrupo='$idgrupo' and estado='1'",$db_basededatosie);
    					while ($FilaMatriculados=mysql_fetch_array($regmatriculados)){
    						$nuid=$FilaMatriculados["nuid"];
            				$campofallas="F".$nuid;
            				$campon1="N1".$nuid;
            				$campon2="N2".$nuid;
            				$campon3="N3".$nuid;
            				$campon4="N4".$nuid;
            				$campon5="N5".$nuid;
            				$campon6="N6".$nuid;
            				$campon7="N7".$nuid;
            				$campon8="N8".$nuid;
            				$campon9="N9".$nuid;
            				$campon10="N10".$nuid;
            				$fallas=str_replace(",", ".", $_POST[$campofallas]);
            				$n1=str_replace(",", ".", $_POST[$campon1]);
            				$n2=str_replace(",", ".", $_POST[$campon2]);
            				$n3=str_replace(",", ".", $_POST[$campon3]);
            				$n4=str_replace(",", ".", $_POST[$campon4]);
            				$n5=str_replace(",", ".", $_POST[$campon5]);
            				$n6=str_replace(",", ".", $_POST[$campon6]);
            				$n7=str_replace(",", ".", $_POST[$campon7]);
            				$n8=str_replace(",", ".", $_POST[$campon8]);
            				$n9=str_replace(",", ".", $_POST[$campon9]);
            				$n10=str_replace(",", ".", $_POST[$campon10]);
            				if ($fallas<0 Or $fallas>99)
            					$fallas="0";          				
            				if ($n1!="") {
	            				if ($n1<1 Or $n1>5){
	            					$n1="*";
	            					$errores=$errores+1;
	            				}
	            			}
            				if ($n2!="") {
	            				if ($n2<1 Or $n2>5){
	            					$n2="*";
	            					$errores=$errores+1;
	            				}
	            			}
            				if ($n3!="") {
	            				if ($n3<1 Or $n3>5){
	            					$n3="*";
	            					$errores=$errores+1;
	            				}
	            			}
            				if ($n4!="") {
	            				if ($n4<1 Or $n4>5){
	            					$n4="*";
	            					$errores=$errores+1;
	            				}
	            			}
            				if ($n5!="") {
	            				if ($n5<1 Or $n5>5){
	            					$n5="*";
	            					$errores=$errores+1;
	            				}
	            			}
            				if ($n6!="") {
	            				if ($n6<1 Or $n6>5){
	            					$n6="*";
	            					$errores=$errores+1;
	            				}
	            			}
            				if ($n7!="") {
	            				if ($n7<1 Or $n7>5){
	            					$n7="*";
	            					$errores=$errores+1;
	            				}
	            			}
            				if ($n8!="") {
	            				if ($n8<1 Or $n8>5){
	            					$n8="*";
	            					$errores=$errores+1;
	            				}
	            			}
            				if ($n9!="") {
	            				if ($n9<1 Or $n9>5){
	            					$n9="*";
	            					$errores=$errores+1;
	            				}
	            			}
            				if ($n10!="") {
	            				if ($n10<1 Or $n10>5){
	            					$n10="*";
	            					$errores=$errores+1;
	            				}
	            			}
	    					$regnotas=mysql_query("Select * From datos_notastipo2 Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodo'",$db_basededatosie);
	                		if (mysql_num_rows($regnotas)>0){
	                			$FilaNotaEstudiante=mysql_fetch_array($regnotas);
	                			if ($fallas)
	                				$actualiza= mysql_query("Update datos_notastipo2 Set fallas='$fallas' Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodo'",$db_basededatosie);
	                			if ($n1)
	                				$actualiza= mysql_query("Update datos_notastipo2 Set n1='$n1' Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodo'",$db_basededatosie);
	                			if ($n2)
	                				$actualiza= mysql_query("Update datos_notastipo2 Set n2='$n2' Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodo'",$db_basededatosie);
	                			if ($n3)
	                				$actualiza= mysql_query("Update datos_notastipo2 Set n3='$n3' Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodo'",$db_basededatosie);
	                			if ($n4)
	                				$actualiza= mysql_query("Update datos_notastipo2 Set n4='$n4' Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodo'",$db_basededatosie);
	                			if ($n5)
	                				$actualiza= mysql_query("Update datos_notastipo2 Set n5='$n5' Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodo'",$db_basededatosie);
	                			if ($n6)
	                				$actualiza= mysql_query("Update datos_notastipo2 Set n6='$n6' Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodo'",$db_basededatosie);
	                			if ($n7)
	                				$actualiza= mysql_query("Update datos_notastipo2 Set n7='$n7' Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodo'",$db_basededatosie);
	                			if ($n8)
	                				$actualiza= mysql_query("Update datos_notastipo2 Set n8='$n8' Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodo'",$db_basededatosie);
	                			if ($n9)
	                				$actualiza= mysql_query("Update datos_notastipo2 Set n9='$n9' Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodo'",$db_basededatosie);
	                			if ($n10)
	                				$actualiza= mysql_query("Update datos_notastipo2 Set n10='$n10' Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodo'",$db_basededatosie);
                			}
                			else {
                				if ($n1 or $n2 or $n3 or $n4 or $n5 or $n6 or $n7 or $n8 or $n9 or $n10)
                					$guard= mysql_query("Insert Into datos_notastipo2 (nuid,idasignatura,fallas,n1,n2,n3,n4,n5,n6,n7,n8,n9,n10,periodo) Values ('$nuid','$idasignatura','$fallas','$n1','$n2','$n3','$n4','$n5','$n6','$n7','$n8','$n9','$n10','$periodo')",$db_basededatosie);
                			}
                		}                        
						echo "MENSAJE: La Actualización de las Calificaciones se realizó con éxito. <br>Se encontraron ".$errores." Errores marcados con el simbolo *";
					?>
					</td>
				</tr>
			</table>
		</div>
        
        <br/>
		<p><input type="button" value="Regresar" name="volver" onclick="history.go(-1)" /></p>        
		<p align=right><font size="1">Versión Beta - <?php echo $iddocente;?></font></p>	
	</tr>
</table>
</body>

</html>
<?php
	mysql_close($db_basededatosie);
?>